Summary:	A Usenet newsreader for GNOME/GTK+
Name:		pan
Version:	v0.154
Release:	1%{?dist}
Epoch:		1
License:	GPLv2
Source0:	https://gitlab.gnome.org/GNOME/pan/-/archive/v%{version}/%{name}-%{version}.tar.gz
URL:		https://gitlab.gnome.org/GNOME/pan
BuildRequires: make
BuildRequires:	gcc-c++
BuildRequires:	desktop-file-utils
BuildRequires:	gettext-devel
BuildRequires:	intltool
BuildRequires:	glib2-devel  >= 2.40.0
BuildRequires:	gmime30-devel >= 3.2.0
BuildRequires:	gtk3-devel  >= 3.20.0
BuildRequires:	gtkspell3-devel >= 3.0.2
BuildRequires:	enchant-devel >= 1.6.0
BuildRequires:	libappstream-glib
BuildRequires:	libnotify-devel >= 0.4.1
BuildRequires:	libgnome-keyring-devel >= 3.2.0
BuildRequires:	itstool
BuildRequires:	yelp-tools
# In the past, we could not link GPLv2-only Pan with GnuTLS due to libgnutls being effectively LGPLv3+
# However, the GnuTLS libs are now clearly LGPLv2+, which is compatible.
BuildRequires:	gnutls-devel

%description
Pan is a Usenet newsreader which attempts to be pleasant to
new and advanced users alike. It has all the standard
newsreaders features and also supports offline reading,
scoring and killfiles, yEnc, NZB, PGP handling, multiple
servers, and secure connections. It is also the only Unix
newsreader to get a perfect score on the Good Net-Keeping
Seal of Approval evaluations.

%prep
%setup -q

sed -i -e 's|StartupNotify=false|StartupNotify=true|' org.gnome.%{name}.desktop.in

%build
./autogen.sh --with-gnutls --with-gmime-crypto --with-webkit \
    --with-dbus --with-gtkspell --enable-libnotify \
    --enable-gkr --enable-manual --prefix="/usr"

make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install

%find_lang %{name} --with-gnome

%check
appstream-util validate-relax --nonet %{buildroot}/usr/share/metainfo/org.gnome.%{name}.metainfo.xml

desktop-file-validate %{buildroot}%{_datadir}/applications/org.gnome.%{name}.desktop

%files -f %{name}.lang
%doc AUTHORS NEWS
%license COPYING COPYING-DOCS
%{_bindir}/%{name}
%{_datadir}/icons/hicolor/*/apps/org.gnome.pan.png
%{_datadir}/metainfo/org.gnome.%{name}.metainfo.xml
%{_datadir}/applications/org.gnome.%{name}.desktop
%{_mandir}/man1/pan.1*

%changelog
* Sat Jul 22 2023 Detlef Graef <detlef.graef [at] gmx.de> - 1:0.154-1
- Pan Ver. 0.154
* Wed Nov 16 2022 Detlef Graef <detlef.graef [at] gmx.de> - 1:0.153-1
- Pan Ver. 0.153
* Mon Jul 18 2022 Detlef Graef <detlef.graef [at] gmx.de> - 1:0.152-1
- Pan Ver. 0.152 
* Tue Dec 28 2021 Detlef Graef <detlef.graef [at] gmx.de> - 1:0.149-1
- Pan Ver. 0.149
* Sat Jun 12 2021 Detlef Graef <detlef.graef [at] gmx.de> - 1:0.147-1
- Initial version
